import{s as sr,o as ir,n as lr}from"../chunks/scheduler.25b97de1.js";import{S as dr,i as mr,g as l,s as a,r as m,A as pr,h as s,f as o,c as r,j as b,u as p,x as d,k as _,y as t,a as i,v as c,d as g,t as f,w as u}from"../chunks/index.d9030fc9.js";import{T as nr}from"../chunks/Tip.baa67368.js";import{D as $}from"../chunks/Docstring.ffac8efa.js";import{H as I,E as cr}from"../chunks/EditOnGithub.91d95064.js";function gr(Le){let h,M=`For best performance, this data collator should be used with a dataset having items that are dictionaries or
BatchEncoding, with the <code>&quot;special_tokens_mask&quot;</code> key, as returned by a <a href="/docs/transformers/pr_29969/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or a
<a href="/docs/transformers/pr_29969/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a> with the argument <code>return_special_tokens_mask=True</code>.`;return{c(){h=l("p"),h.innerHTML=M},l(k){h=s(k,"P",{"data-svelte-h":!0}),d(h)!=="svelte-qa344g"&&(h.innerHTML=M)},m(k,V){i(k,h,V)},p:lr,d(k){k&&o(h)}}}function fr(Le){let h,M=`This collator relies on details of the implementation of subword tokenization by <a href="/docs/transformers/pr_29969/en/model_doc/bert#transformers.BertTokenizer">BertTokenizer</a>, specifically
that subword tokens are prefixed with <em>##</em>. For tokenizers that do not adhere to this scheme, this collator will
produce an output that is roughly equivalent to <code>.DataCollatorForLanguageModeling</code>.`;return{c(){h=l("p"),h.innerHTML=M},l(k){h=s(k,"P",{"data-svelte-h":!0}),d(h)!=="svelte-li9ltk"&&(h.innerHTML=M)},m(k,V){i(k,h,V)},p:lr,d(k){k&&o(h)}}}function ur(Le){let h,M,k,V,X,it,J,wa=`Data collators are objects that will form a batch by using a list of dataset elements as input. These elements are of
the same type as the elements of <code>train_dataset</code> or <code>eval_dataset</code>.`,dt,Q,Pa=`To be able to build batches, data collators may apply some processing (like padding). Some of them (like
<a href="/docs/transformers/pr_29969/en/main_classes/data_collator#transformers.DataCollatorForLanguageModeling">DataCollatorForLanguageModeling</a>) also apply some random data augmentation (like random masking)
on the formed batch.`,mt,Y,Fa='Examples of use can be found in the <a href="../examples">example scripts</a> or <a href="../notebooks">example notebooks</a>.',pt,Z,ct,y,ee,jt,qe,La=`Very simple data collator that simply collates batches of dict-like objects and performs special handling for
potential keys named:`,Nt,Me,qa="<li><code>label</code>: handles a single value (int or float) per object</li> <li><code>label_ids</code>: handles a list of values per object</li>",Ot,ze,Ma=`Does not do any additional preprocessing: property names of the input object will be used as corresponding inputs
to the model. See glue and ner for example of how it’s useful.`,gt,te,ft,T,ae,Bt,Se,za=`Very simple data collator that simply collates batches of dict-like objects and performs special handling for
potential keys named:`,Ut,We,Sa="<li><code>label</code>: handles a single value (int or float) per object</li> <li><code>label_ids</code>: handles a list of values per object</li>",Kt,Ie,Wa=`Does not do any additional preprocessing: property names of the input object will be used as corresponding inputs
to the model. See glue and ner for example of how it’s useful.`,Rt,Ae,Ia=`This is an object (like other data collators) rather than a pure function like default_data_collator. This can be
helpful if you need to set a return_tensors value at initialization.`,ut,re,ht,A,oe,Gt,He,Aa="Data collator that will dynamically pad the inputs received.",_t,ne,bt,H,le,Xt,Ee,Ha="Data collator that will dynamically pad the inputs received, as well as the labels.",vt,se,$t,E,ie,Jt,Ve,Ea="Data collator that will dynamically pad the inputs received, as well as the labels.",kt,de,xt,x,me,Qt,je,Va=`Data collator used for language modeling. Inputs are dynamically padded to the maximum length of a batch if they
are not all of the same length.`,Yt,j,Zt,N,pe,ea,Ne,ja="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",ta,O,ce,aa,Oe,Na="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",ra,B,ge,oa,Be,Oa="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",Ct,fe,Tt,v,ue,na,Ue,Ba="Data collator used for language modeling that masks entire words.",la,Ke,Ua="<li>collates batches of tensors, honoring their tokenizer’s pad_token</li> <li>preprocesses batches for masked language modeling</li>",sa,U,ia,K,he,da,Re,Ka=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,ma,R,_e,pa,Ge,Ra=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,ca,G,be,ga,Xe,Ga=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,Dt,ve,yt,C,$e,fa,Je,Xa="Data collator used for permutation language modeling.",ua,Qe,Ja="<li>collates batches of tensors, honoring their tokenizer’s pad_token</li> <li>preprocesses batches for permutation language modeling with procedures specific to XLNet</li>",ha,z,ke,_a,Ye,Qa="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",ba,xe,Ya=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,va,S,Ce,$a,Ze,Za="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",ka,Te,er=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,xa,W,De,Ca,et,tr="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",Ta,ye,ar=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,wt,we,Pt,L,Pe,Da,tt,rr="Data collator used for padding free approach. Does the following:",ya,at,or="<li>concatate the entire mini batch into single long sequence [1, total_tokens]</li> <li>uses <code>separator_id</code> to separate sequences within the concatenated <code>labels</code>, default value is -100</li> <li>no padding will be added, returns <code>input_ids</code>, <code>labels</code> and <code>position_ids</code></li>",Ft,Fe,Lt,st,qt;return X=new I({props:{title:"Data Collator",local:"data-collator",headingTag:"h1"}}),Z=new I({props:{title:"Default data collator",local:"transformers.default_data_collator",headingTag:"h2"}}),ee=new $({props:{name:"transformers.default_data_collator",anchor:"transformers.default_data_collator",parameters:[{name:"features",val:": List"},{name:"return_tensors",val:" = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/vr_29969/src/transformers/data/data_collator.py#L74"}}),te=new I({props:{title:"DefaultDataCollator",local:"transformers.DefaultDataCollator",headingTag:"h2"}}),ae=new $({props:{name:"class transformers.DefaultDataCollator",anchor:"transformers.DefaultDataCollator",parameters:[{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DefaultDataCollator.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_29969/src/transformers/data/data_collator.py#L99"}}),re=new I({props:{title:"DataCollatorWithPadding",local:"transformers.DataCollatorWithPadding",headingTag:"h2"}}),oe=new $({props:{name:"class transformers.DataCollatorWithPadding",anchor:"transformers.DataCollatorWithPadding",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"padding",val:": Union = True"},{name:"max_length",val:": Optional = None"},{name:"pad_to_multiple_of",val:": Optional = None"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorWithPadding.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_29969/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/pr_29969/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorWithPadding.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/pr_29969/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorWithPadding.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorWithPadding.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorWithPadding.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_29969/src/transformers/data/data_collator.py#L236"}}),ne=new I({props:{title:"DataCollatorForTokenClassification",local:"transformers.DataCollatorForTokenClassification",headingTag:"h2"}}),le=new $({props:{name:"class transformers.DataCollatorForTokenClassification",anchor:"transformers.DataCollatorForTokenClassification",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"padding",val:": Union = True"},{name:"max_length",val:": Optional = None"},{name:"pad_to_multiple_of",val:": Optional = None"},{name:"label_pad_token_id",val:": int = -100"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForTokenClassification.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_29969/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/pr_29969/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForTokenClassification.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/pr_29969/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorForTokenClassification.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorForTokenClassification.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForTokenClassification.label_pad_token_id",description:`<strong>label_pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to -100) &#x2014;
The id to use when padding the labels (-100 will be automatically ignore by PyTorch loss functions).`,name:"label_pad_token_id"},{anchor:"transformers.DataCollatorForTokenClassification.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_29969/src/transformers/data/data_collator.py#L288"}}),se=new I({props:{title:"DataCollatorForSeq2Seq",local:"transformers.DataCollatorForSeq2Seq",headingTag:"h2"}}),ie=new $({props:{name:"class transformers.DataCollatorForSeq2Seq",anchor:"transformers.DataCollatorForSeq2Seq",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"model",val:": Optional = None"},{name:"padding",val:": Union = True"},{name:"max_length",val:": Optional = None"},{name:"pad_to_multiple_of",val:": Optional = None"},{name:"label_pad_token_id",val:": int = -100"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForSeq2Seq.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_29969/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/pr_29969/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForSeq2Seq.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_29969/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a>, <em>optional</em>) &#x2014;
The model that is being trained. If set and has the <em>prepare_decoder_input_ids_from_labels</em>, use it to
prepare the <em>decoder_input_ids</em></p>
<p>This is useful when using <em>label_smoothing</em> to avoid calculating loss twice.`,name:"model"},{anchor:"transformers.DataCollatorForSeq2Seq.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/pr_29969/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorForSeq2Seq.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorForSeq2Seq.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForSeq2Seq.label_pad_token_id",description:`<strong>label_pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to -100) &#x2014;
The id to use when padding the labels (-100 will be automatically ignored by PyTorch loss functions).`,name:"label_pad_token_id"},{anchor:"transformers.DataCollatorForSeq2Seq.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_29969/src/transformers/data/data_collator.py#L542"}}),de=new I({props:{title:"DataCollatorForLanguageModeling",local:"transformers.DataCollatorForLanguageModeling",headingTag:"h2"}}),me=new $({props:{name:"class transformers.DataCollatorForLanguageModeling",anchor:"transformers.DataCollatorForLanguageModeling",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"mlm",val:": bool = True"},{name:"mlm_probability",val:": float = 0.15"},{name:"pad_to_multiple_of",val:": Optional = None"},{name:"tf_experimental_compile",val:": bool = False"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForLanguageModeling.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_29969/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/pr_29969/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForLanguageModeling.mlm",description:`<strong>mlm</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to use masked language modeling. If set to <code>False</code>, the labels are the same as the inputs
with the padding tokens ignored (by setting them to -100). Otherwise, the labels are -100 for non-masked
tokens and the value to predict for the masked token.`,name:"mlm"},{anchor:"transformers.DataCollatorForLanguageModeling.mlm_probability",description:`<strong>mlm_probability</strong> (<code>float</code>, <em>optional</em>, defaults to 0.15) &#x2014;
The probability with which to (randomly) mask tokens in the input, when <code>mlm</code> is set to <code>True</code>.`,name:"mlm_probability"},{anchor:"transformers.DataCollatorForLanguageModeling.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForLanguageModeling.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/vr_29969/src/transformers/data/data_collator.py#L678"}}),j=new nr({props:{$$slots:{default:[gr]},$$scope:{ctx:Le}}}),pe=new $({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.numpy_mask_tokens",parameters:[{name:"inputs",val:": Any"},{name:"special_tokens_mask",val:": Optional = None"}],source:"https://github.com/huggingface/transformers/blob/vr_29969/src/transformers/data/data_collator.py#L884"}}),ce=new $({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.tf_mask_tokens",parameters:[{name:"inputs",val:": Any"},{name:"vocab_size",val:""},{name:"mask_token_id",val:""},{name:"special_tokens_mask",val:": Optional = None"}],source:"https://github.com/huggingface/transformers/blob/vr_29969/src/transformers/data/data_collator.py#L731"}}),ge=new $({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.torch_mask_tokens",parameters:[{name:"inputs",val:": Any"},{name:"special_tokens_mask",val:": Optional = None"}],source:"https://github.com/huggingface/transformers/blob/vr_29969/src/transformers/data/data_collator.py#L827"}}),fe=new I({props:{title:"DataCollatorForWholeWordMask",local:"transformers.DataCollatorForWholeWordMask",headingTag:"h2"}}),ue=new $({props:{name:"class transformers.DataCollatorForWholeWordMask",anchor:"transformers.DataCollatorForWholeWordMask",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"mlm",val:": bool = True"},{name:"mlm_probability",val:": float = 0.15"},{name:"pad_to_multiple_of",val:": Optional = None"},{name:"tf_experimental_compile",val:": bool = False"},{name:"return_tensors",val:": str = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/vr_29969/src/transformers/data/data_collator.py#L922"}}),U=new nr({props:{$$slots:{default:[fr]},$$scope:{ctx:Le}}}),he=new $({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.numpy_mask_tokens",parameters:[{name:"inputs",val:": Any"},{name:"mask_labels",val:": Any"}],source:"https://github.com/huggingface/transformers/blob/vr_29969/src/transformers/data/data_collator.py#L1153"}}),_e=new $({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.tf_mask_tokens",parameters:[{name:"inputs",val:": Any"},{name:"mask_labels",val:": Any"}],source:"https://github.com/huggingface/transformers/blob/vr_29969/src/transformers/data/data_collator.py#L1111"}}),be=new $({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.torch_mask_tokens",parameters:[{name:"inputs",val:": Any"},{name:"mask_labels",val:": Any"}],source:"https://github.com/huggingface/transformers/blob/vr_29969/src/transformers/data/data_collator.py#L1071"}}),ve=new I({props:{title:"DataCollatorForPermutationLanguageModeling",local:"transformers.DataCollatorForPermutationLanguageModeling",headingTag:"h2"}}),$e=new $({props:{name:"class transformers.DataCollatorForPermutationLanguageModeling",anchor:"transformers.DataCollatorForPermutationLanguageModeling",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"plm_probability",val:": float = 0.16666666666666666"},{name:"max_span_length",val:": int = 5"},{name:"return_tensors",val:": str = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/vr_29969/src/transformers/data/data_collator.py#L1277"}}),ke=new $({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.numpy_mask_tokens",parameters:[{name:"inputs",val:": Any"}],source:"https://github.com/huggingface/transformers/blob/vr_29969/src/transformers/data/data_collator.py#L1518"}}),Ce=new $({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.tf_mask_tokens",parameters:[{name:"inputs",val:": Any"}],source:"https://github.com/huggingface/transformers/blob/vr_29969/src/transformers/data/data_collator.py#L1411"}}),De=new $({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.torch_mask_tokens",parameters:[{name:"inputs",val:": Any"}],source:"https://github.com/huggingface/transformers/blob/vr_29969/src/transformers/data/data_collator.py#L1312"}}),we=new I({props:{title:"DataCollatorWithFlattening",local:"transformers.DataCollatorWithFlattening",headingTag:"h2"}}),Pe=new $({props:{name:"class transformers.DataCollatorWithFlattening",anchor:"transformers.DataCollatorWithFlattening",parameters:[{name:"*args",val:""},{name:"return_position_ids",val:" = True"},{name:"separator_id",val:" = -100"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_29969/src/transformers/data/data_collator.py#L1616"}}),Fe=new cr({props:{source:"https://github.com/huggingface/transformers/blob/main/docs/source/en/main_classes/data_collator.md"}}),{c(){h=l("meta"),M=a(),k=l("p"),V=a(),m(X.$$.fragment),it=a(),J=l("p"),J.innerHTML=wa,dt=a(),Q=l("p"),Q.innerHTML=Pa,mt=a(),Y=l("p"),Y.innerHTML=Fa,pt=a(),m(Z.$$.fragment),ct=a(),y=l("div"),m(ee.$$.fragment),jt=a(),qe=l("p"),qe.textContent=La,Nt=a(),Me=l("ul"),Me.innerHTML=qa,Ot=a(),ze=l("p"),ze.textContent=Ma,gt=a(),m(te.$$.fragment),ft=a(),T=l("div"),m(ae.$$.fragment),Bt=a(),Se=l("p"),Se.textContent=za,Ut=a(),We=l("ul"),We.innerHTML=Sa,Kt=a(),Ie=l("p"),Ie.textContent=Wa,Rt=a(),Ae=l("p"),Ae.textContent=Ia,ut=a(),m(re.$$.fragment),ht=a(),A=l("div"),m(oe.$$.fragment),Gt=a(),He=l("p"),He.textContent=Aa,_t=a(),m(ne.$$.fragment),bt=a(),H=l("div"),m(le.$$.fragment),Xt=a(),Ee=l("p"),Ee.textContent=Ha,vt=a(),m(se.$$.fragment),$t=a(),E=l("div"),m(ie.$$.fragment),Jt=a(),Ve=l("p"),Ve.textContent=Ea,kt=a(),m(de.$$.fragment),xt=a(),x=l("div"),m(me.$$.fragment),Qt=a(),je=l("p"),je.textContent=Va,Yt=a(),m(j.$$.fragment),Zt=a(),N=l("div"),m(pe.$$.fragment),ea=a(),Ne=l("p"),Ne.textContent=ja,ta=a(),O=l("div"),m(ce.$$.fragment),aa=a(),Oe=l("p"),Oe.textContent=Na,ra=a(),B=l("div"),m(ge.$$.fragment),oa=a(),Be=l("p"),Be.textContent=Oa,Ct=a(),m(fe.$$.fragment),Tt=a(),v=l("div"),m(ue.$$.fragment),na=a(),Ue=l("p"),Ue.textContent=Ba,la=a(),Ke=l("ul"),Ke.innerHTML=Ua,sa=a(),m(U.$$.fragment),ia=a(),K=l("div"),m(he.$$.fragment),da=a(),Re=l("p"),Re.textContent=Ka,ma=a(),R=l("div"),m(_e.$$.fragment),pa=a(),Ge=l("p"),Ge.textContent=Ra,ca=a(),G=l("div"),m(be.$$.fragment),ga=a(),Xe=l("p"),Xe.textContent=Ga,Dt=a(),m(ve.$$.fragment),yt=a(),C=l("div"),m($e.$$.fragment),fa=a(),Je=l("p"),Je.textContent=Xa,ua=a(),Qe=l("ul"),Qe.innerHTML=Ja,ha=a(),z=l("div"),m(ke.$$.fragment),_a=a(),Ye=l("p"),Ye.textContent=Qa,ba=a(),xe=l("ol"),xe.innerHTML=Ya,va=a(),S=l("div"),m(Ce.$$.fragment),$a=a(),Ze=l("p"),Ze.textContent=Za,ka=a(),Te=l("ol"),Te.innerHTML=er,xa=a(),W=l("div"),m(De.$$.fragment),Ca=a(),et=l("p"),et.textContent=tr,Ta=a(),ye=l("ol"),ye.innerHTML=ar,wt=a(),m(we.$$.fragment),Pt=a(),L=l("div"),m(Pe.$$.fragment),Da=a(),tt=l("p"),tt.textContent=rr,ya=a(),at=l("ul"),at.innerHTML=or,Ft=a(),m(Fe.$$.fragment),Lt=a(),st=l("p"),this.h()},l(e){const n=pr("svelte-u9bgzb",document.head);h=s(n,"META",{name:!0,content:!0}),n.forEach(o),M=r(e),k=s(e,"P",{}),b(k).forEach(o),V=r(e),p(X.$$.fragment,e),it=r(e),J=s(e,"P",{"data-svelte-h":!0}),d(J)!=="svelte-1kxfoc9"&&(J.innerHTML=wa),dt=r(e),Q=s(e,"P",{"data-svelte-h":!0}),d(Q)!=="svelte-ij4a6j"&&(Q.innerHTML=Pa),mt=r(e),Y=s(e,"P",{"data-svelte-h":!0}),d(Y)!=="svelte-10kyi1a"&&(Y.innerHTML=Fa),pt=r(e),p(Z.$$.fragment,e),ct=r(e),y=s(e,"DIV",{class:!0});var q=b(y);p(ee.$$.fragment,q),jt=r(q),qe=s(q,"P",{"data-svelte-h":!0}),d(qe)!=="svelte-1hmsgsg"&&(qe.textContent=La),Nt=r(q),Me=s(q,"UL",{"data-svelte-h":!0}),d(Me)!=="svelte-1pq8qks"&&(Me.innerHTML=qa),Ot=r(q),ze=s(q,"P",{"data-svelte-h":!0}),d(ze)!=="svelte-1vi1gug"&&(ze.textContent=Ma),q.forEach(o),gt=r(e),p(te.$$.fragment,e),ft=r(e),T=s(e,"DIV",{class:!0});var w=b(T);p(ae.$$.fragment,w),Bt=r(w),Se=s(w,"P",{"data-svelte-h":!0}),d(Se)!=="svelte-1hmsgsg"&&(Se.textContent=za),Ut=r(w),We=s(w,"UL",{"data-svelte-h":!0}),d(We)!=="svelte-1pq8qks"&&(We.innerHTML=Sa),Kt=r(w),Ie=s(w,"P",{"data-svelte-h":!0}),d(Ie)!=="svelte-1vi1gug"&&(Ie.textContent=Wa),Rt=r(w),Ae=s(w,"P",{"data-svelte-h":!0}),d(Ae)!=="svelte-vfvbwr"&&(Ae.textContent=Ia),w.forEach(o),ut=r(e),p(re.$$.fragment,e),ht=r(e),A=s(e,"DIV",{class:!0});var Mt=b(A);p(oe.$$.fragment,Mt),Gt=r(Mt),He=s(Mt,"P",{"data-svelte-h":!0}),d(He)!=="svelte-1iebpai"&&(He.textContent=Aa),Mt.forEach(o),_t=r(e),p(ne.$$.fragment,e),bt=r(e),H=s(e,"DIV",{class:!0});var zt=b(H);p(le.$$.fragment,zt),Xt=r(zt),Ee=s(zt,"P",{"data-svelte-h":!0}),d(Ee)!=="svelte-4uvw1w"&&(Ee.textContent=Ha),zt.forEach(o),vt=r(e),p(se.$$.fragment,e),$t=r(e),E=s(e,"DIV",{class:!0});var St=b(E);p(ie.$$.fragment,St),Jt=r(St),Ve=s(St,"P",{"data-svelte-h":!0}),d(Ve)!=="svelte-4uvw1w"&&(Ve.textContent=Ea),St.forEach(o),kt=r(e),p(de.$$.fragment,e),xt=r(e),x=s(e,"DIV",{class:!0});var P=b(x);p(me.$$.fragment,P),Qt=r(P),je=s(P,"P",{"data-svelte-h":!0}),d(je)!=="svelte-10km8jk"&&(je.textContent=Va),Yt=r(P),p(j.$$.fragment,P),Zt=r(P),N=s(P,"DIV",{class:!0});var Wt=b(N);p(pe.$$.fragment,Wt),ea=r(Wt),Ne=s(Wt,"P",{"data-svelte-h":!0}),d(Ne)!=="svelte-iv4xqf"&&(Ne.textContent=ja),Wt.forEach(o),ta=r(P),O=s(P,"DIV",{class:!0});var It=b(O);p(ce.$$.fragment,It),aa=r(It),Oe=s(It,"P",{"data-svelte-h":!0}),d(Oe)!=="svelte-iv4xqf"&&(Oe.textContent=Na),It.forEach(o),ra=r(P),B=s(P,"DIV",{class:!0});var At=b(B);p(ge.$$.fragment,At),oa=r(At),Be=s(At,"P",{"data-svelte-h":!0}),d(Be)!=="svelte-iv4xqf"&&(Be.textContent=Oa),At.forEach(o),P.forEach(o),Ct=r(e),p(fe.$$.fragment,e),Tt=r(e),v=s(e,"DIV",{class:!0});var D=b(v);p(ue.$$.fragment,D),na=r(D),Ue=s(D,"P",{"data-svelte-h":!0}),d(Ue)!=="svelte-sjqk55"&&(Ue.textContent=Ba),la=r(D),Ke=s(D,"UL",{"data-svelte-h":!0}),d(Ke)!=="svelte-d2ozxj"&&(Ke.innerHTML=Ua),sa=r(D),p(U.$$.fragment,D),ia=r(D),K=s(D,"DIV",{class:!0});var Ht=b(K);p(he.$$.fragment,Ht),da=r(Ht),Re=s(Ht,"P",{"data-svelte-h":!0}),d(Re)!=="svelte-10msjh1"&&(Re.textContent=Ka),Ht.forEach(o),ma=r(D),R=s(D,"DIV",{class:!0});var Et=b(R);p(_e.$$.fragment,Et),pa=r(Et),Ge=s(Et,"P",{"data-svelte-h":!0}),d(Ge)!=="svelte-10msjh1"&&(Ge.textContent=Ra),Et.forEach(o),ca=r(D),G=s(D,"DIV",{class:!0});var Vt=b(G);p(be.$$.fragment,Vt),ga=r(Vt),Xe=s(Vt,"P",{"data-svelte-h":!0}),d(Xe)!=="svelte-10msjh1"&&(Xe.textContent=Ga),Vt.forEach(o),D.forEach(o),Dt=r(e),p(ve.$$.fragment,e),yt=r(e),C=s(e,"DIV",{class:!0});var F=b(C);p($e.$$.fragment,F),fa=r(F),Je=s(F,"P",{"data-svelte-h":!0}),d(Je)!=="svelte-12inif1"&&(Je.textContent=Xa),ua=r(F),Qe=s(F,"UL",{"data-svelte-h":!0}),d(Qe)!=="svelte-1t4qh7k"&&(Qe.innerHTML=Ja),ha=r(F),z=s(F,"DIV",{class:!0});var rt=b(z);p(ke.$$.fragment,rt),_a=r(rt),Ye=s(rt,"P",{"data-svelte-h":!0}),d(Ye)!=="svelte-1u70phx"&&(Ye.textContent=Qa),ba=r(rt),xe=s(rt,"OL",{start:!0,"data-svelte-h":!0}),d(xe)!=="svelte-1r6jrbi"&&(xe.innerHTML=Ya),rt.forEach(o),va=r(F),S=s(F,"DIV",{class:!0});var ot=b(S);p(Ce.$$.fragment,ot),$a=r(ot),Ze=s(ot,"P",{"data-svelte-h":!0}),d(Ze)!=="svelte-1u70phx"&&(Ze.textContent=Za),ka=r(ot),Te=s(ot,"OL",{start:!0,"data-svelte-h":!0}),d(Te)!=="svelte-1r6jrbi"&&(Te.innerHTML=er),ot.forEach(o),xa=r(F),W=s(F,"DIV",{class:!0});var nt=b(W);p(De.$$.fragment,nt),Ca=r(nt),et=s(nt,"P",{"data-svelte-h":!0}),d(et)!=="svelte-1u70phx"&&(et.textContent=tr),Ta=r(nt),ye=s(nt,"OL",{start:!0,"data-svelte-h":!0}),d(ye)!=="svelte-1r6jrbi"&&(ye.innerHTML=ar),nt.forEach(o),F.forEach(o),wt=r(e),p(we.$$.fragment,e),Pt=r(e),L=s(e,"DIV",{class:!0});var lt=b(L);p(Pe.$$.fragment,lt),Da=r(lt),tt=s(lt,"P",{"data-svelte-h":!0}),d(tt)!=="svelte-4gb9ju"&&(tt.textContent=rr),ya=r(lt),at=s(lt,"UL",{"data-svelte-h":!0}),d(at)!=="svelte-1w5rvhw"&&(at.innerHTML=or),lt.forEach(o),Ft=r(e),p(Fe.$$.fragment,e),Lt=r(e),st=s(e,"P",{}),b(st).forEach(o),this.h()},h(){_(h,"name","hf:doc:metadata"),_(h,"content",hr),_(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(xe,"start","0"),_(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Te,"start","0"),_(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ye,"start","0"),_(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){t(document.head,h),i(e,M,n),i(e,k,n),i(e,V,n),c(X,e,n),i(e,it,n),i(e,J,n),i(e,dt,n),i(e,Q,n),i(e,mt,n),i(e,Y,n),i(e,pt,n),c(Z,e,n),i(e,ct,n),i(e,y,n),c(ee,y,null),t(y,jt),t(y,qe),t(y,Nt),t(y,Me),t(y,Ot),t(y,ze),i(e,gt,n),c(te,e,n),i(e,ft,n),i(e,T,n),c(ae,T,null),t(T,Bt),t(T,Se),t(T,Ut),t(T,We),t(T,Kt),t(T,Ie),t(T,Rt),t(T,Ae),i(e,ut,n),c(re,e,n),i(e,ht,n),i(e,A,n),c(oe,A,null),t(A,Gt),t(A,He),i(e,_t,n),c(ne,e,n),i(e,bt,n),i(e,H,n),c(le,H,null),t(H,Xt),t(H,Ee),i(e,vt,n),c(se,e,n),i(e,$t,n),i(e,E,n),c(ie,E,null),t(E,Jt),t(E,Ve),i(e,kt,n),c(de,e,n),i(e,xt,n),i(e,x,n),c(me,x,null),t(x,Qt),t(x,je),t(x,Yt),c(j,x,null),t(x,Zt),t(x,N),c(pe,N,null),t(N,ea),t(N,Ne),t(x,ta),t(x,O),c(ce,O,null),t(O,aa),t(O,Oe),t(x,ra),t(x,B),c(ge,B,null),t(B,oa),t(B,Be),i(e,Ct,n),c(fe,e,n),i(e,Tt,n),i(e,v,n),c(ue,v,null),t(v,na),t(v,Ue),t(v,la),t(v,Ke),t(v,sa),c(U,v,null),t(v,ia),t(v,K),c(he,K,null),t(K,da),t(K,Re),t(v,ma),t(v,R),c(_e,R,null),t(R,pa),t(R,Ge),t(v,ca),t(v,G),c(be,G,null),t(G,ga),t(G,Xe),i(e,Dt,n),c(ve,e,n),i(e,yt,n),i(e,C,n),c($e,C,null),t(C,fa),t(C,Je),t(C,ua),t(C,Qe),t(C,ha),t(C,z),c(ke,z,null),t(z,_a),t(z,Ye),t(z,ba),t(z,xe),t(C,va),t(C,S),c(Ce,S,null),t(S,$a),t(S,Ze),t(S,ka),t(S,Te),t(C,xa),t(C,W),c(De,W,null),t(W,Ca),t(W,et),t(W,Ta),t(W,ye),i(e,wt,n),c(we,e,n),i(e,Pt,n),i(e,L,n),c(Pe,L,null),t(L,Da),t(L,tt),t(L,ya),t(L,at),i(e,Ft,n),c(Fe,e,n),i(e,Lt,n),i(e,st,n),qt=!0},p(e,[n]){const q={};n&2&&(q.$$scope={dirty:n,ctx:e}),j.$set(q);const w={};n&2&&(w.$$scope={dirty:n,ctx:e}),U.$set(w)},i(e){qt||(g(X.$$.fragment,e),g(Z.$$.fragment,e),g(ee.$$.fragment,e),g(te.$$.fragment,e),g(ae.$$.fragment,e),g(re.$$.fragment,e),g(oe.$$.fragment,e),g(ne.$$.fragment,e),g(le.$$.fragment,e),g(se.$$.fragment,e),g(ie.$$.fragment,e),g(de.$$.fragment,e),g(me.$$.fragment,e),g(j.$$.fragment,e),g(pe.$$.fragment,e),g(ce.$$.fragment,e),g(ge.$$.fragment,e),g(fe.$$.fragment,e),g(ue.$$.fragment,e),g(U.$$.fragment,e),g(he.$$.fragment,e),g(_e.$$.fragment,e),g(be.$$.fragment,e),g(ve.$$.fragment,e),g($e.$$.fragment,e),g(ke.$$.fragment,e),g(Ce.$$.fragment,e),g(De.$$.fragment,e),g(we.$$.fragment,e),g(Pe.$$.fragment,e),g(Fe.$$.fragment,e),qt=!0)},o(e){f(X.$$.fragment,e),f(Z.$$.fragment,e),f(ee.$$.fragment,e),f(te.$$.fragment,e),f(ae.$$.fragment,e),f(re.$$.fragment,e),f(oe.$$.fragment,e),f(ne.$$.fragment,e),f(le.$$.fragment,e),f(se.$$.fragment,e),f(ie.$$.fragment,e),f(de.$$.fragment,e),f(me.$$.fragment,e),f(j.$$.fragment,e),f(pe.$$.fragment,e),f(ce.$$.fragment,e),f(ge.$$.fragment,e),f(fe.$$.fragment,e),f(ue.$$.fragment,e),f(U.$$.fragment,e),f(he.$$.fragment,e),f(_e.$$.fragment,e),f(be.$$.fragment,e),f(ve.$$.fragment,e),f($e.$$.fragment,e),f(ke.$$.fragment,e),f(Ce.$$.fragment,e),f(De.$$.fragment,e),f(we.$$.fragment,e),f(Pe.$$.fragment,e),f(Fe.$$.fragment,e),qt=!1},d(e){e&&(o(M),o(k),o(V),o(it),o(J),o(dt),o(Q),o(mt),o(Y),o(pt),o(ct),o(y),o(gt),o(ft),o(T),o(ut),o(ht),o(A),o(_t),o(bt),o(H),o(vt),o($t),o(E),o(kt),o(xt),o(x),o(Ct),o(Tt),o(v),o(Dt),o(yt),o(C),o(wt),o(Pt),o(L),o(Ft),o(Lt),o(st)),o(h),u(X,e),u(Z,e),u(ee),u(te,e),u(ae),u(re,e),u(oe),u(ne,e),u(le),u(se,e),u(ie),u(de,e),u(me),u(j),u(pe),u(ce),u(ge),u(fe,e),u(ue),u(U),u(he),u(_e),u(be),u(ve,e),u($e),u(ke),u(Ce),u(De),u(we,e),u(Pe),u(Fe,e)}}}const hr='{"title":"Data Collator","local":"data-collator","sections":[{"title":"Default data collator","local":"transformers.default_data_collator","sections":[],"depth":2},{"title":"DefaultDataCollator","local":"transformers.DefaultDataCollator","sections":[],"depth":2},{"title":"DataCollatorWithPadding","local":"transformers.DataCollatorWithPadding","sections":[],"depth":2},{"title":"DataCollatorForTokenClassification","local":"transformers.DataCollatorForTokenClassification","sections":[],"depth":2},{"title":"DataCollatorForSeq2Seq","local":"transformers.DataCollatorForSeq2Seq","sections":[],"depth":2},{"title":"DataCollatorForLanguageModeling","local":"transformers.DataCollatorForLanguageModeling","sections":[],"depth":2},{"title":"DataCollatorForWholeWordMask","local":"transformers.DataCollatorForWholeWordMask","sections":[],"depth":2},{"title":"DataCollatorForPermutationLanguageModeling","local":"transformers.DataCollatorForPermutationLanguageModeling","sections":[],"depth":2},{"title":"DataCollatorWithFlattening","local":"transformers.DataCollatorWithFlattening","sections":[],"depth":2}],"depth":1}';function _r(Le){return ir(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Cr extends dr{constructor(h){super(),mr(this,h,_r,ur,sr,{})}}export{Cr as component};
